package com.ss.android.ugc.aweme.account.api;

import X.0Gp;
import X.2b0;
import X.2iG;
import X.6tJ;
import X.86b;
import X.IUu;
import X.JLr;
import X.JMA;
import X.PUu;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.base.api.BaseResponse;

public final class AccountApiInModule {
    public static final String LIZ = "https://api-va.tiktokv.com";
    public static Api LIZIZ = ((Api) 2b0.LIZ("https://api-va.tiktokv.com", Api.class));
    public static final boolean LIZJ = false;

    public interface Api {
        static {
            Covode.recordClassIndex(50637);
        }

        @JMA(LIZ = "/passport/password/has_set/")
        JLr<Object> checkPasswordSet();

        @IUu(LIZ = "/passport/mobile/can_send_voice_code/")
        @6tJ
        0Gp<2iG> checkVoiceCodeAvailability(@PUu(LIZ = "mobile") String str, @PUu(LIZ = "mix_mode") String str2);

        @IUu(LIZ = "/aweme/v1/ad/ba/on/")
        @6tJ
        JLr<BaseResponse> switchBusinessAccount(@PUu(LIZ = "category_name") String str);

        @IUu(LIZ = "/aweme/v1/user/proaccount/setting/")
        @6tJ
        JLr<BaseResponse> switchProAccount(@PUu(LIZ = "action_type") int i, @PUu(LIZ = "category_name") String str, @PUu(LIZ = "category_id") String str2, @PUu(LIZ = "pro_g") int i2);
    }

    static {
        Covode.recordClassIndex(50636);
    }

    public static 0Gp<2iG> LIZ(String str) {
        try {
            return LIZIZ.checkVoiceCodeAvailability(86b.LIZ(str), "1");
        } catch (Exception unused) {
            return null;
        }
    }
}
